<?php

namespace App\Tests\Api;

use ApiPlatform\Symfony\Bundle\Test\ApiTestCase;
use Doctrine\Persistence\ObjectManager;
use App\Repository\SaleRepository;

class SaleTest extends ApiTestCase
{
    public function testGetSeries(): void
    {
        static::createClient()->request('GET', '/series');

        $this->assertResponseHeaderSame('content-type', 'application/ld+json; charset=utf-8');
        $this->assertResponseStatusCodeSame(200);
        $this->assertJsonContains([
            '@context' => '/contexts/Series',
            '@id' => '/series',
            '@type' => 'hydra:Collection',
            'hydra:totalItems' => 48
        ]);
    }
}
